# Session::dropSchema

(No version information available, might only be in Git)

Session::dropSchema — Drop a schema

### Description

public mysql_xdevapi\Session::dropSchema ( string `$schema_name` ) : bool

Drop a schema (database).

### Parameters

`schema_name`

  Name of the schema to drop.

### Return Values

`TRUE` if the schema is dropped, or `FALSE` if it does not exist or can't be dropped.

An `E_WARNING` level error is generated if the schema does not exist.

### Examples

Example #1 mysql_xdevapi\Session::dropSchema() example

`<?php
$session = mysql_xdevapi\getSession("mysqlx://user:password@localhost");
$session->dropSchema("addressbook");
$session->close();
?>`